GET api/Course/Next/CheckPoint?courseHourId={courseHourId}&lastCheckPointId={lastCheckPointId}
获取下一题关卡题目信息(说明:App和小程序通用)
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| courseHourId |
课时ID |
integer |
Required |
| lastCheckPointId |
当前关卡ID |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:关卡信息不存在... 。201:当前关卡已经最后一关... 。200:请求成功... 。
NextCheckPointResult| Name | Description | Type | Additional information |
|---|---|---|---|
| nextCheckPointId |
下一关卡Id |
string |
None. |
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"nextCheckPointId": "sample string 1",
"status": 2,
"msg": "sample string 3"
}